ARES_INET_PTON(3)

NAME
ares_inet_pton - convert an IPv4 or IPv6 address from text to binary form

SYNOPSIS
#include <ares.h>
const char *ares_inet_pton(int af, const char *src, void *dst);

DESCRIPTION
This is a portable version with the identical functionality of the commonly available inet_pton. The ares_inet_pton() function converts the address in its standard text presentation form into its numeric binary form. The af argument shall specify the family of the address. The AF_INET and AF_INET6 address families shall be supported. The src argument points to the string being passed in. The dst argument points to a buffer into which the function stores the numeric address; this shall be large enough to hold the numeric address (32 bits for AF_INET, 128 bits for AF_INET6).

SEE ALSO
ares_init(3), ares_inet_ntop(3)

AVAILABILITY
made properly publicly available in c-ares for real in version 1.10.0